package com.shzg.project.worn.service;

import java.util.List;
import com.shzg.project.worn.domain.WornMaterialType;

/**
 * 物料类型Service接口
 * 
 * @author shzg
 * @date 2026-03-11
 */
public interface IWornMaterialTypeService 
{
    /**
     * 查询物料类型
     * 
     * @param id 物料类型主键
     * @return 物料类型
     */
    public WornMaterialType selectWornMaterialTypeById(Long id);

    /**
     * 查询物料类型列表
     * 
     * @param wornMaterialType 物料类型
     * @return 物料类型集合
     */
    public List<WornMaterialType> selectWornMaterialTypeList(WornMaterialType wornMaterialType);

    /**
     * 物料类型
     * 
     * @param wornMaterialType 物料类型
     * @return 结果
     */
    public int insertWornMaterialType(WornMaterialType wornMaterialType);

    /**
     * 修改物料类型
     * 
     * @param wornMaterialType 物料类型
     * @return 结果
     */
    public int updateWornMaterialType(WornMaterialType wornMaterialType);

    /**
     * 批量删除物料类型
     *
     * @param ids 需要删除的物料类型主键集合
     * @return 结果
     */
    public int deleteWornMaterialTypeByIds(Long[] ids);

    /**
     * 查询物料类型树结构
     */
    List<WornMaterialType> selectWornMaterialTypeTree();


}
